#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_TAM(void)
{
#if (PRO_TAM)
       SetTelltalePos("HBAGreen",              HBAGreen);
       SetTelltalePos("HBA White",             HBAWhite);
       SetTelltalePos("HighBeam",              HighBeam);
       SetTelltalePos("LowBeam",                LowBeam);
       SetTelltalePos("LeftTurn",              LeftTurn);
       SetTelltalePos("RightTurn",            RightTurn);
       SetTelltalePos("TailLamp",              TailLamp);
       SetTelltalePos("ParkingBreak",      ParkingBreak);
       if (SupportPartNum("94053A3010")){
           SetTelltalePos("EPB",                        EPB);
       }
       SetTelltalePos("ABS",                        ABS);
       SetTelltalePos("SeatBelt",              SeatBelt);
       SetTelltalePos("FcaYellow",            FcaYellow);
       SetTelltalePos("FCA RedBlink",            FcaRed);
       SetTelltalePos("InteriorLamp",      InteriorLamp);
       SetTelltalePos("Mdps",                      Mdps);
       SetTelltalePos("Tpms",                      Tpms);
       SetTelltalePos("Immobilizer",        Immobilizer);
       SetTelltalePos("MasterSymbol",      MasterSymbol);
       SetTelltalePos("CheckEngine",        CheckEngine);
       SetTelltalePos("BatteryCharge",    BatteryCharge);
       SetTelltalePos("AirBag",                  AirBag);
       SetTelltalePos("OilPressure",        OilPressure);
       SetTelltalePos("DpfGpf",                  DpfGpf); 
       SetTelltalePos("ESC",                        ESC);
       SetTelltalePos("EscOff",                  EscOff);
       SetTelltalePos("AllLedOpen",          AllLedOpen);
       SetTelltalePos("LowFuel",     DMS_RestoreDefault);
#endif   

}


